# HDANOVA

<!-- badges: start -->
[![Lifecycle: experimental](https://img.shields.io/badge/lifecycle-experimental-blue.svg)](https://lifecycle.r-lib.org/articles/stages.html#experimental)
[![CRAN Status](https://www.r-pkg.org/badges/version/HDANOVA)](https://cran.r-project.org/package=HDANOVA)
<!-- badges: end -->

<!-- A badge for later?: [![R-CMD-check](https://github.com/khliland/HDANOVA/workflows/check-standard/badge.svg)](https://github.com/khliland/HDANOVA/actions) -->


## Installation

``` r
# Install release version from CRAN  
install.packages("HDANOVA")  
# Install development version from GitHub  
devtools::install_github("khliland/HDANOVA")
```
## HD-ANOVA book <img src="man/figures/Wiley.png" align="right" alt="" width="232" />

This package contains the main methods described in Age K. Smilde, Federico Marini, Johan A. Westerhuis and Kristian Hovde Liland's book:  

_Analysis of Variance for High-Dimensional Data_  
 _- Applications in Life, Food and Chemical Sciences_  

To be published by Wiley in 2025.

## Contents
- Main methods:
  - ASCA+ - Analysis of Variance Simultaneous Component Analysis
  - APCA+ - ANOVA Principal Component Analysis
  - LiMM-PCA - Linear Mixed Model PCA
  - MSCA - Multilevel Simultaneous Component Analysis
  - PC-ANOVA - Principal Component Analysis of Variance
  - PRC - Principal Response Curves
  - PERMANOVA - Permutation Based MANOVA
- A selection of datasets
- Common framework and plotting routines
